---
type Props = {
    icon: (_props: Record<string, any>) => any,
    heading: string;
}

---
<div class="item">
    <i>
        <Astro.props.icon />
    </i>
    <div class="details">
        <h3>
            {Astro.props.heading}
        </h3>
        <slot></slot>
    </div>
</div>